package com.zjt.service;

import com.zjt.entity.cgmaterial;
import com.zjt.entity.type;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MaterialType extends IService<type>{
    List<type> selectAll();
    public String type();
    public String brand(String materialTypeCode);
    public String group(String brand);
    public String price(String group) throws Exception;
    public String code(String code);
    public String insertCg(cgmaterial cgmaterial);
    public List<cgmaterial> selectData();
    public int deldate(Long id, String code);
    public List<cgmaterial> selectDataBy(@Param("id")String id, @Param("storeCode")String storeCode, @Param("begin")String begin, @Param("end")String end, @Param("receive")String receive);
}
